<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@android:color/transparent"
    android:orientation="vertical">

    <androidx.cardview.widget.CardView xmlns:card_view="http://schemas.android.com/apk/res-auto"
        android:id="@+id/report_cardview"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        card_view:cardBackgroundColor="@color/white"
        card_view:cardCornerRadius="@dimen/custom_margin"
        card_view:cardElevation="2dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/custom_margin2dp"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/rl_changes_color"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/colorPrimary"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/header_txt"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:gravity="center"
                    android:padding="@dimen/custom_layout_margin11"
                    android:text="Applicable Promotions"
                    android:textColor="@color/white"
                    android:textSize="@dimen/text_14sp"
                    android:textStyle="normal" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:weightSum="100">

            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recycl_promotion"
                android:layout_width="match_parent"
                android:layout_height="400dp"
                android:layout_marginBottom="?actionBarSize"
                android:layout_margin="@dimen/custom_margin2dp"/>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/custom_margin2dp"
                android:layout_marginTop="@dimen/size_18dp"
                android:background="@color/gray" />


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="10dp"
                android:orientation="horizontal"
                android:layout_marginTop="@dimen/padding_10dp"
                android:weightSum="10">

                <ImageView
                    android:id="@+id/cancet_btn"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/margin_30dp"
                    android:layout_weight="5"
                    android:gravity="center"
                    android:layout_gravity="center"
                    android:src="@mipmap/cancel_btn" />

                <ImageView
                    android:id="@+id/btn_add"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/margin_30dp"
                    android:layout_weight="5"
                    android:src="@mipmap/add_btn"
                    android:layout_gravity="center" />
            </LinearLayout>

        </LinearLayout>

    </androidx.cardview.widget.CardView>
</LinearLayout>